Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Class DocFlavor.BYTE_ARRAY

    java.lang.Object
      javax.print.DocFlavor
          javax.print.DocFlavor.BYTE_ARRAY

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing class:
  DocFlavor

    public static class DocFlavor.BYTE_ARRAY

extends DocFlavor

Class DocFlavor.BYTE_ARRAY provides predefined static constant DocFlavor objects for example doc flavors using a byte array (`byte[]`) as the print data representation class.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.print.DocFlavor
`DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`

Field Summary
`static DocFlavor.BYTE_ARRAY` | `AUTOSENSE` Doc flavor with MIME type = `"application/octet-stream"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `GIF` Doc flavor with MIME type = `"image/gif"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `JPEG` Doc flavor with MIME type = `"image/jpeg"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `PCL` Doc flavor with MIME type = `"application/vnd.hp-PCL"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `PDF` Doc flavor with MIME type = `"application/pdf"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `PNG` Doc flavor with MIME type = `"image/png"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `POSTSCRIPT` Doc flavor with MIME type = `"application/postscript"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_HTML_HOST` Doc flavor with MIME type = `"text/html"`, encoded in the host platform encoding.
`static DocFlavor.BYTE_ARRAY` | `TEXT_HTML_US_ASCII` Doc flavor with MIME type = `"text/html; charset=us-ascii"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_HTML_UTF_16` Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_HTML_UTF_16BE` Doc flavor with MIME type = `"text/html; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_HTML_UTF_16LE` Doc flavor with MIME type = `"text/html; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_HTML_UTF_8` Doc flavor with MIME type = `"text/html; charset=utf-8"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_PLAIN_HOST` Doc flavor with MIME type = `"text/plain"`, encoded in the host platform encoding.
`static DocFlavor.BYTE_ARRAY` | `TEXT_PLAIN_US_ASCII` Doc flavor with MIME type = `"text/plain; charset=us-ascii"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_PLAIN_UTF_16` Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_PLAIN_UTF_16BE` Doc flavor with MIME type = `"text/plain; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_PLAIN_UTF_16LE` Doc flavor with MIME type = `"text/plain; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"[B"` (byte array).
`static DocFlavor.BYTE_ARRAY` | `TEXT_PLAIN_UTF_8` Doc flavor with MIME type = `"text/plain; charset=utf-8"`, print data representation class name = `"[B"` (byte array).

Fields inherited from class javax.print.DocFlavor
`hostEncoding`

Constructor Summary
`DocFlavor.BYTE_ARRAY(String mimeType)` Constructs a new doc flavor with the given MIME type and a print data representation class name of `"[B"` (byte array).

Method Summary

Methods inherited from class javax.print.DocFlavor
`equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_PLAIN_HOST

    public static final DocFlavor.BYTE_ARRAY TEXT_PLAIN_HOST

  Doc flavor with MIME type = `"text/plain"`, encoded in the host platform encoding. See ``hostEncoding`` Print data representation class name = `"[B"` (byte array).

### TEXT_PLAIN_UTF_8

    public static final DocFlavor.BYTE_ARRAY TEXT_PLAIN_UTF_8

  Doc flavor with MIME type = `"text/plain; charset=utf-8"`, print data representation class name = `"[B"` (byte array).

### TEXT_PLAIN_UTF_16

    public static final DocFlavor.BYTE_ARRAY TEXT_PLAIN_UTF_16

  Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"[B"` (byte array).

### TEXT_PLAIN_UTF_16BE

    public static final DocFlavor.BYTE_ARRAY TEXT_PLAIN_UTF_16BE

  Doc flavor with MIME type = `"text/plain; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"[B"` (byte array).

### TEXT_PLAIN_UTF_16LE

    public static final DocFlavor.BYTE_ARRAY TEXT_PLAIN_UTF_16LE

  Doc flavor with MIME type = `"text/plain; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"[B"` (byte array).

### TEXT_PLAIN_US_ASCII

    public static final DocFlavor.BYTE_ARRAY TEXT_PLAIN_US_ASCII

  Doc flavor with MIME type = `"text/plain; charset=us-ascii"`, print data representation class name = `"[B"` (byte array).

### TEXT_HTML_HOST

    public static final DocFlavor.BYTE_ARRAY TEXT_HTML_HOST

  Doc flavor with MIME type = `"text/html"`, encoded in the host platform encoding. See ``hostEncoding`` Print data representation class name = `"[B"` (byte array).

### TEXT_HTML_UTF_8

    public static final DocFlavor.BYTE_ARRAY TEXT_HTML_UTF_8

  Doc flavor with MIME type = `"text/html; charset=utf-8"`, print data representation class name = `"[B"` (byte array).

### TEXT_HTML_UTF_16

    public static final DocFlavor.BYTE_ARRAY TEXT_HTML_UTF_16

  Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"[B"` (byte array).

### TEXT_HTML_UTF_16BE

    public static final DocFlavor.BYTE_ARRAY TEXT_HTML_UTF_16BE

  Doc flavor with MIME type = `"text/html; charset=utf-16be"` (big-endian byte ordering), print data representation class name = `"[B"` (byte array).

### TEXT_HTML_UTF_16LE

    public static final DocFlavor.BYTE_ARRAY TEXT_HTML_UTF_16LE

  Doc flavor with MIME type = `"text/html; charset=utf-16le"` (little-endian byte ordering), print data representation class name = `"[B"` (byte array).

### TEXT_HTML_US_ASCII

    public static final DocFlavor.BYTE_ARRAY TEXT_HTML_US_ASCII

  Doc flavor with MIME type = `"text/html; charset=us-ascii"`, print data representation class name = `"[B"` (byte array).

### PDF

    public static final DocFlavor.BYTE_ARRAY PDF

  Doc flavor with MIME type = `"application/pdf"`, print data representation class name = `"[B"` (byte array).

### POSTSCRIPT

    public static final DocFlavor.BYTE_ARRAY POSTSCRIPT

  Doc flavor with MIME type = `"application/postscript"`, print data representation class name = `"[B"` (byte array).

### PCL

    public static final DocFlavor.BYTE_ARRAY PCL

  Doc flavor with MIME type = `"application/vnd.hp-PCL"`, print data representation class name = `"[B"` (byte array).

### GIF

    public static final DocFlavor.BYTE_ARRAY GIF

  Doc flavor with MIME type = `"image/gif"`, print data representation class name = `"[B"` (byte array).

### JPEG

    public static final DocFlavor.BYTE_ARRAY JPEG

  Doc flavor with MIME type = `"image/jpeg"`, print data representation class name = `"[B"` (byte array).

### PNG

    public static final DocFlavor.BYTE_ARRAY PNG

  Doc flavor with MIME type = `"image/png"`, print data representation class name = `"[B"` (byte array).

### AUTOSENSE

    public static final DocFlavor.BYTE_ARRAY AUTOSENSE

  Doc flavor with MIME type = `"application/octet-stream"`, print data representation class name = `"[B"` (byte array). The client must determine that data described using this DocFlavor is valid for the printer.

Constructor Detail

### DocFlavor.BYTE_ARRAY

    public DocFlavor.BYTE_ARRAY(String mimeType)

  Constructs a new doc flavor with the given MIME type and a print data representation class name of `"[B"` (byte array).

  Parameters:
    `mimeType` - MIME media type string.
  Throws:
    `NullPointerException` - (unchecked exception) Thrown if `mimeType` is null.
    `IllegalArgumentException` - (unchecked exception) Thrown if `mimeType` does not obey the syntax for a MIME media type string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.